About Sims 4 version compatibility question

View previous topic View next topic Go down

About Sims 4 version compatibility question

Post by Bash23 on Sat 01 Sep 2018, 08:35

I haven't played in ages my current version right now is 1.42.30.1020, I already have all Packs except Seasons, Will my game work if I apply Seasons pack and the latest 1.46 to my current version?

_________________
Hammertime  Hammertime  Hammertime  Hammertime  Hammertime
avatar
Bash23
Beginner
Beginner

Windows version :
  • Windows 10

System architecture :
  • 64 bits (x64)

Favourite games : Witcher 3

Male

Posts : 8
Points : 1794
Reputation : 1
Join date : 2014-01-13
Age : 23
Location : Galapagos Islands

View user profile

Back to top Go down

Re: About Sims 4 version compatibility question

Post by anadius on Sat 01 Sep 2018, 09:49

Yes, Seasons + Update 1.46 and you've got everything. Smile

_________________
The Sims 4 alternative installer v2 | The Sims 4 validator | The Sims 4 language changer and DLC toggler
Feel free to send me an e-mail if you encounter any problem with my installers/programs.
avatar
anadius
G4TW Forum Developer
Think-tank driver
G4TW Forum DeveloperThink-tank driver

Favourite games : puzzle games

Posts : 1153
Points : 3451
Reputation : 301
Join date : 2013-07-01

View user profile https://ts4installer.tumblr.com/

Back to top Go down

View previous topic View next topic Back to top


Permissions in this forum:
You cannot reply to topics in this forum